// const WX_API_BASE = 'https://www.qianjiadi.com/'
// const WX_API_BASE = 'http://ch.jihengcc.cn:17080/'
// const WX_API_BASE = 'https://test.jihengcc.cn/'
 const WX_API_BASE = 'https://www.qianjiadi.com/'

module.exports = {
	//  微信登录
	WxLogin: WX_API_BASE + 'app/auth/merchant/wx/login',
	//  微信登录
	getWxUserPhone: WX_API_BASE + 'app/auth/wx/getWxUserPhone',
	//  授权码登录
	authorizeSignIn: WX_API_BASE + 'app/auth/merchant/authCodeRegister',
	//  注册商铺数据
	submitShopRegisterInfo: WX_API_BASE + 'app/auth/merchant/register',
	//  编辑商铺数据
	editShopRegisterInfo: WX_API_BASE + 'app/auth/merchant/updateMerchantInfo',
	//  获取商铺注册数据
	getShopRegisterInfo: WX_API_BASE + 'app/auth/merchant/findMerchantInfo',
	//  获取商铺注册状态
	getShopRegisterStatu: WX_API_BASE + 'app/auth/merchant/findMerchantAuditStatus',
    // 获取后台管理账号密码
	getManageInfo: WX_API_BASE + 'app/auth/merchant/backgroundUserInfo',

	//  获取本月销售额
	getShopSellInfo: WX_API_BASE + 'app/merchants/productOrderSumMouth',
	//  获取销售数据
	getSellInfo: WX_API_BASE + 'app/merchants/productOrderStatistics/',


	//  获取商品列表
	getGoodList: WX_API_BASE + 'app/product/queryTenantProductPage',
	//  流转商品状态
	setGoodsStatus: WX_API_BASE + 'app/product/batchManagementProduct',
	//  获取分类
	getSortList: WX_API_BASE + 'app/productCategory/categoryInitialization',
	//  新增商品
	addGood: WX_API_BASE + 'app/product/insertTenantProduct',
	//  查询商品详情
	getGoodDetail: WX_API_BASE + 'app/product/tenantProductInfo',
	//  编辑商品
	editGood: WX_API_BASE + 'app/product/updateTenantProduct',


	//   获取直播Id
	getLiveId: WX_API_BASE + 'app/liveAndVideo/merchant/liveAndVideoInit',
	//   获取直播设置详情
	getLiveData: WX_API_BASE + 'app/liveAndVideo/merchant/liveDetail/',
	//   开启直播
	creatLive: WX_API_BASE + 'app/liveAndVideo/merchant/updateLiveStatus',
	//  设置直播设置
	setLiveData: WX_API_BASE + 'app/liveAndVideo/merchant/addLive',
	//  编辑直播设置
	editLiveData: WX_API_BASE + 'app/liveAndVideo/merchant/updateLive',
	//  绑定直播商品
	bindLiveGoods: WX_API_BASE + 'app/liveAndVideo/merchant/liveDetail/addLiveProductRel',
	//  获取已绑定直播的商品
	getBindedLiveGoods: WX_API_BASE + 'app/liveAndVideo/merchant/liveDetail/chooseProductList',
	//  获取短视频列表
	getVideoList: WX_API_BASE + 'app/liveAndVideo/merchant/videoList/',
	//  删除短视频
	deleteVideo: WX_API_BASE + 'app/liveAndVideo/merchant/batchDeleteVideo',
	//  获取短视频商品
	getVideoGoods: WX_API_BASE + 'app/liveAndVideo/merchant/liveDetailOrVideoDetail/productList',
	//  获取短视频已绑定商品
	getVideoBindGoods: WX_API_BASE + 'app/liveAndVideo/merchant/videoDetail/chooseProductList',
	//  上传短视频
	addVideo: WX_API_BASE + 'app/liveAndVideo/merchant/addVideoByQjd',
	//  编辑短视频
	editVideo: WX_API_BASE + 'app/liveAndVideo/merchant/updateVideo',
	//  获取短视频详情
	getVideoDetail: WX_API_BASE + 'app/liveAndVideo/merchant/updateVideoInit',
	//  初始化自助采摘视频
	creatPickVideo: WX_API_BASE + 'app/liveAndVideo/merchant/addPickLive',
	//  自助采摘直播获取个人信息
	getMainInfo: WX_API_BASE + 'app/member/selectUserById/',

	//  获取订单列表
	getOrderList: WX_API_BASE + 'app/order/merchant/my/orderList/',
	//  绑定快递
	bindOrder: WX_API_BASE + 'app/order/merchant/my/orderList/updateOrderByDG',
	//  查询物流信息
	getLogisticsDeatil: WX_API_BASE + 'app/order/getShippingTrace/',
	//  回复订单评价
	evaluateOrder: WX_API_BASE + 'app/order/merchant/my/orderList/updateOrderEvaluateByReply',
	//  发布留言
	addMessage: WX_API_BASE + 'app/order/user/my/orderList/orderDetail/leaMsgList/addLeaMsg',
	//  获取订单详情
	getOrderDetail: WX_API_BASE + 'app/order/user/my/orderList/orderDetail',


	//  查询优惠券列表
	getCouponList: WX_API_BASE + 'app/merchants/merchantsCouponGrantPage',
	//  发放优惠券
	addCoupon: WX_API_BASE + 'app/merchants/merchantsGrantCoupon',


	//  查询授权用户列表
	getAuthorizeList: WX_API_BASE + 'app/auth/merchant/my/authUserList/',
	//  生成授权码
	createAuthorizeCode: WX_API_BASE + 'app/auth/merchant/my/authUserList/createAuthCode',
	//  获取用户授权详情
	getAuthorizeDetail: WX_API_BASE + 'app/auth/merchant/my/authUserInfo/',
	//  用户授权
	setAuthorize: WX_API_BASE + 'app/auth/merchant/my/authUserInfo/updateAuth/',
	//  删除授权用户
	deleteAuthorizeUser: WX_API_BASE + 'app/auth/merchant/my/delAuthUser/',


	//  上传文件
	uploadFile: WX_API_BASE + 'app/uploadManage/upload',
}
